declare class Scrollbars {
    /**
     * The scrollbar DOM element.
     *
     * @type {DOM}
     */
    scrollbar: HTMLElement;
    /**
     * Create a new instance.
     *
     * @param  {string} selector
     */
    constructor(selector: string);
    /**
     * Determine the height of the scrollbar.
     *
     * @param  {HTMLElement} element
     * @return {void}
     */
    position(element: HTMLElement): void;
    /**
     * Adjust the scroll bar height.
     *
     * @param {HTMLElement} element
     * @return {void}
     */
    height(element: HTMLElement): void;
    /**
     * Set the right margin of the scrolling element.
     *
     * @param {HTMLElement} element
     * @return {void}
     */
    margin(element: HTMLElement): void;
    /**
     * On scroll event handler.
     *
     * @param {HTMLElement} element
     * @return {void}
     */
    onScroll(element: HTMLElement): void;
    /**
     * On click event handler.
     *
     * @param  {HTMLElement} element
     * @return {void}
     */
    onClick(element: HTMLElement): void;
    onDrag(element: HTMLElement): void;
}
export = Scrollbars;
